import { jsx } from "react/jsx-runtime";
import { Disc as Disc$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Disc = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Disc", ...props, children: /* @__PURE__ */ jsx(Disc$1, { weight: variant }) });
  }
);
Disc.displayName = "Disc";
Object.assign(Disc, { isGdsIcon: true });
export {
  Disc
};
